Subject: bug#26909: 25.1; A face for margins

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 May 2017 19:40:18 +0300

> From: Yuri Khan <[email-masked]>
> Date: Sat, 13 May 2017 21:59:29 +0700
> Cc: [email-masked]
> 
> > You could specify a light gray background color for the frame, and
> > another color for the default face, but I think this would cause
> > unpleasant effects elsewhere on display, e.g. in the text area beyond
> > EOB.
> 
> That might in fact work for me. However, I do not seem to be able to do that.
> 
> (linum-mode) ^X^E
> (set-frame-parameter nil 'background-color "gray95") ^X^E
> 
> * The backgrounds of both the margin and the buffer turn light gray.
> 
> (set-face-background 'default "white") ^X^E
> 
> * The backgrounds of both the buffer and the margin turn back to white.

Maybe I've misremembered, sorry.

Did you try remapping the default face, and if so, did that fail to
work as well?